Subject: bug#46138: 28.0.50; epg--filter-revoked-keys filters out valid keys

From: Colin Baxter <[email-masked]>
Date: Tue, 02 Feb 2021 12:16:04 +0000

>>>>> Colin Baxter <[email-masked]> writes:

>>>>> Alexey Shmalko <[email-masked]> writes:
    >> Use setq-local: C-x C-f /tmp/new-file.gpg RET foo M-: (setq-local
    >> epa-file-encrypt-to "[email-masked]") RET C-x C-s

    >> or file local variables: # -*- epa-file-encrypt-to:
    >> ("DCEF7BCCEB3066C3"); -*-

    > After having set the 'epa-file-encrypt-to' variable, by whatever
    > means, why does a list of possible keys then appear when the
    > encrypted file is saved? I would have thought that to be
    > unnecessary since the key has supposedly been already chosen via
    > the 'epa-file-encrypt-to' variable. If not then why set
    > 'epa-file-encrypt-to'?

Because I had set in my emacs init file the list of keys to appear each
time -  duh! I should have used 'emacs -q'. Sorry about this.

Colin Baxter.